This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 208540

Summary: Graphical/Textual diff view preference in Diff views should be persisted
Product: versioncontrol Reporter: Antonin Nebuzelsky <anebuzelsky>
Component: CodeAssignee: Ondrej Vrabec <ovrabec>
Status: REOPENED ---    
Severity: normal CC: obucinac
Priority: P2    
Version: 7.2   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Exception Reporter:
Bug Depends on: 208552    
Bug Blocks:    

Description Antonin Nebuzelsky 2012-02-17 10:00:39 UTC
When navigating through history rows in History tab, I want to always see Textual version of the diff.

When I switch to Textual it should be preserved as I navigate through rows of the table.
Comment 1 Tomas Stupka 2012-02-17 11:05:44 UTC
see two problems here:

1.) the diff view in the history tab doesn't behave the same way like other versioning diff views do in case they are setup with graphical and textual mode - once the textual mode was selected for a specific revision it should stay selected even if the user leaves and selects it again. 

2.) 
> When navigating through history rows in History tab, I want to always see
> Textual version of the diff.
the versioning diff views in general as well as the diff api do not support this behavior. The mode selected is diff internal and applies only to the current diff view - filed issue #208552 to cover the necessary api change in the diff module

*** This bug has been marked as a duplicate of bug 208552 ***
Comment 2 Ondrej Vrabec 2012-02-17 12:17:13 UTC
*** Bug 208543 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Stupka 2012-04-19 20:14:17 UTC
> 1.) the diff view in the history tab doesn't behave the same way like other
> versioning diff views do in case they are setup with graphical and textual mode
> - once the textual mode was selected for a specific revision it should stay
> selected even if the user leaves and selects it again. 
this one was fixed in core-main #af53242ec999

lets deal with 2.) in all vcs modules
Comment 4 Quality Engineering 2012-04-21 09:58:56 UTC
Integrated into 'main-golden', will be available in build *201204210400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/af53242ec999
User: Tomas Stupka <tstupka@netbeans.org>
Log: issue #208540 - Graphical/Textual diff view preference in Diff views should be persisted
Comment 5 Tomas Stupka 2012-09-04 16:01:40 UTC
*** Bug 217230 has been marked as a duplicate of this bug. ***